package org.mbari.seepsearch.test;

import java.io.*;
import org.mbari.seepsearch.grid.*;
import org.mbari.seepsearch.core.RovAltitudeFilter;
/**
 * Title:        Seep Search Analysis project
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      MBARI
 * @author
 * @version 1.0
 */

public class PopulateGridTest {


    public static void main(String[] args) {
        try {
        AsciiNullGridReader reader = new AsciiNullGridReader("C:/home/brian/montereyc.asc");
        reader.read();
        RasterGrid grid = reader.getGrid();
        double[] x = grid.getX();
        double[] y = grid.getY();
        System.out.println("XLLCORNER = " + x[0] + ", YLLCORNER = " + y[0]);
        GridUtil.populateGeoGridWithGeoNavData(reader.getGrid(),
            new File("U:/tmp/nav1995339vntaedited_.txt"), new RovAltitudeFilter());
        System.out.println("XLLCORNER = " + x[0] + ", YLLCORNER = " + y[0]);
//        AsciiRasterGridWriter writer = new AsciiRasterGridWriter("C:/home/brian/montereyc2.asc");
//        writer.write(reader.getGrid(), 0 , 7);
//        System.out.println("XLLCORNER = " + x[0] + ", YLLCORNER = " + y[0]);
        } catch (Exception e) {
         e.printStackTrace();
        }

    }
}